geode-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karen Smoler Miller (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GEODE-826) gradlew cannot be used to build Geode
Date Tue, 08 Mar 2016 00:06:40 GMT

    [ https://issues.apache.org/jira/browse/GEODE-826?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15184060#comment-15184060
] 

Karen Smoler Miller commented on GEODE-826:
-------------------------------------------

I am not suggesting removing gradle wrapper scripts.  For M2, Hitesh tells me that we again
have gradlew for Unix installs from source, but that Windows users will need to continue using
gradle directly, as they did for the M1 release.

Hitesh, there is still a gradlew.bat script in the incubator-geode github repo, the develop
branch.  That gradlew.bat file is the one I suggest getting rid of, since it is not supposed
to be in our M2 release (and was not supposed to be in M1 either, if I understand correctly).
 

> gradlew cannot be used to build Geode
> -------------------------------------
>
>                 Key: GEODE-826
>                 URL: https://issues.apache.org/jira/browse/GEODE-826
>             Project: Geode
>          Issue Type: Bug
>          Components: build, docs
>    Affects Versions: 1.0.0-incubating.M1
>            Reporter: Dick Cavender
>            Assignee: Hitesh Khamesra
>
> After extracting the apache-geode-src-1.0.0-incubating.M1.zip source dist the instructions
in the COMPILING.txt file says to run gradlew to build but gradlew isn't (and can't) be included
in the source dist. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message